import type { ExtractPropTypes, PropType } from 'vue';
import type { MouseEventHandler } from '../_util/EventInterface';
export declare const backTopProps: () => {
    visibilityHeight: {
        type: NumberConstructor;
        default: number;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    target: PropType<() => HTMLElement | Window | Document>;
    prefixCls: StringConstructor;
    onClick: PropType<MouseEventHandler>;
};
export type BackTopProps = Partial<ExtractPropTypes<typeof backTopProps>>;
declare const _default: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<ExtractPropTypes<{
        visibilityHeight: {
            type: NumberConstructor;
            default: number;
        };
        duration: {
            type: NumberConstructor;
            default: number;
        };
        target: PropType<() => HTMLElement | Window | Document>;
        prefixCls: StringConstructor;
        onClick: PropType<MouseEventHandler>;
    }>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<ExtractPropTypes<{
        visibilityHeight: {
            type: NumberConstructor;
            default: number;
        };
        duration: {
            type: NumberConstructor;
            default: number;
        };
        target: PropType<() => HTMLElement | Window | Document>;
        prefixCls: StringConstructor;
        onClick: PropType<MouseEventHandler>;
    }>>, {
        duration: number;
        visibilityHeight: number;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<ExtractPropTypes<{
        visibilityHeight: {
            type: NumberConstructor;
            default: number;
        };
        duration: {
            type: NumberConstructor;
            default: number;
        };
        target: PropType<() => HTMLElement | Window | Document>;
        prefixCls: StringConstructor;
        onClick: PropType<MouseEventHandler>;
    }>>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, {
        duration: number;
        visibilityHeight: number;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<ExtractPropTypes<{
    visibilityHeight: {
        type: NumberConstructor;
        default: number;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    target: PropType<() => HTMLElement | Window | Document>;
    prefixCls: StringConstructor;
    onClick: PropType<MouseEventHandler>;
}>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    duration: number;
    visibilityHeight: number;
}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export default _default;
