import { imageGroupProps } from '../vc-image/src/PreviewGroup';
import type { ExtractPropTypes } from 'vue';
export declare const icons: {
    rotateLeft: import("vue/jsx-runtime").JSX.Element;
    rotateRight: import("vue/jsx-runtime").JSX.Element;
    zoomIn: import("vue/jsx-runtime").JSX.Element;
    zoomOut: import("vue/jsx-runtime").JSX.Element;
    close: import("vue/jsx-runtime").JSX.Element;
    left: import("vue/jsx-runtime").JSX.Element;
    right: import("vue/jsx-runtime").JSX.Element;
};
export type ImageGroupProps = Partial<ExtractPropTypes<ReturnType<typeof imageGroupProps>>>;
declare const InternalPreviewGroup: import("vue").DefineComponent<{
    previewPrefixCls: StringConstructor;
    preview: {
        type: import("vue").PropType<boolean | import("../vc-image").ImagePreviewType>;
        default: boolean | import("../vc-image").ImagePreviewType;
    };
    icons: {
        type: import("vue").PropType<import("../vc-image/src/Preview").PreviewProps["icons"]>;
        default: () => {};
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    previewPrefixCls: StringConstructor;
    preview: {
        type: import("vue").PropType<boolean | import("../vc-image").ImagePreviewType>;
        default: boolean | import("../vc-image").ImagePreviewType;
    };
    icons: {
        type: import("vue").PropType<import("../vc-image/src/Preview").PreviewProps["icons"]>;
        default: () => {};
    };
}>>, {
    preview: boolean | import("../vc-image").ImagePreviewType;
    icons: {};
}, {}>;
export default InternalPreviewGroup;
