export default defaultProps;
declare namespace defaultProps {
    namespace accessibility {
        export let type: BooleanConstructor;
        let _default: boolean;
        export { _default as default };
    }
    namespace adaptiveHeight {
        let type_1: BooleanConstructor;
        export { type_1 as type };
        let _default_1: boolean;
        export { _default_1 as default };
    }
    let afterChange: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    namespace arrows {
        let type_2: BooleanConstructor;
        export { type_2 as type };
        let _default_2: boolean;
        export { _default_2 as default };
    }
    namespace autoplay {
        let type_3: BooleanConstructor;
        export { type_3 as type };
        let _default_3: boolean;
        export { _default_3 as default };
    }
    let autoplaySpeed: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    let beforeChange: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    namespace centerMode {
        let type_4: BooleanConstructor;
        export { type_4 as type };
        let _default_4: boolean;
        export { _default_4 as default };
    }
    let centerPadding: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    let cssEase: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    namespace dots {
        let type_5: BooleanConstructor;
        export { type_5 as type };
        let _default_5: boolean;
        export { _default_5 as default };
    }
    let dotsClass: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    namespace draggable {
        let type_6: BooleanConstructor;
        export { type_6 as type };
        let _default_6: boolean;
        export { _default_6 as default };
    }
    namespace unslick {
        let type_7: BooleanConstructor;
        export { type_7 as type };
        let _default_7: boolean;
        export { _default_7 as default };
    }
    let easing: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    let edgeFriction: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    namespace fade {
        let type_8: BooleanConstructor;
        export { type_8 as type };
        let _default_8: boolean;
        export { _default_8 as default };
    }
    namespace focusOnSelect {
        let type_9: BooleanConstructor;
        export { type_9 as type };
        let _default_9: boolean;
        export { _default_9 as default };
    }
    namespace infinite {
        let type_10: BooleanConstructor;
        export { type_10 as type };
        let _default_10: boolean;
        export { _default_10 as default };
    }
    let initialSlide: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    let lazyLoad: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    namespace verticalSwiping {
        let type_11: BooleanConstructor;
        export { type_11 as type };
        let _default_11: boolean;
        export { _default_11 as default };
    }
    let asNavFor: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    namespace pauseOnDotsHover {
        let type_12: BooleanConstructor;
        export { type_12 as type };
        let _default_12: boolean;
        export { _default_12 as default };
    }
    namespace pauseOnFocus {
        let type_13: BooleanConstructor;
        export { type_13 as type };
        let _default_13: boolean;
        export { _default_13 as default };
    }
    namespace pauseOnHover {
        let type_14: BooleanConstructor;
        export { type_14 as type };
        let _default_14: boolean;
        export { _default_14 as default };
    }
    let responsive: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    let rows: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    namespace rtl {
        let type_15: BooleanConstructor;
        export { type_15 as type };
        let _default_15: boolean;
        export { _default_15 as default };
    }
    let slide: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    let slidesPerRow: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    let slidesToScroll: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    let slidesToShow: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    let speed: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    namespace swipe {
        let type_16: BooleanConstructor;
        export { type_16 as type };
        let _default_16: boolean;
        export { _default_16 as default };
    }
    let swipeEvent: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    namespace swipeToSlide {
        let type_17: BooleanConstructor;
        export { type_17 as type };
        let _default_17: boolean;
        export { _default_17 as default };
    }
    namespace touchMove {
        let type_18: BooleanConstructor;
        export { type_18 as type };
        let _default_18: boolean;
        export { _default_18 as default };
    }
    let touchThreshold: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    namespace useCSS {
        let type_19: BooleanConstructor;
        export { type_19 as type };
        let _default_19: boolean;
        export { _default_19 as default };
    }
    namespace useTransform {
        let type_20: BooleanConstructor;
        export { type_20 as type };
        let _default_20: boolean;
        export { _default_20 as default };
    }
    namespace variableWidth {
        let type_21: BooleanConstructor;
        export { type_21 as type };
        let _default_21: boolean;
        export { _default_21 as default };
    }
    namespace vertical {
        let type_22: BooleanConstructor;
        export { type_22 as type };
        let _default_22: boolean;
        export { _default_22 as default };
    }
    namespace waitForAnimate {
        let type_23: BooleanConstructor;
        export { type_23 as type };
        let _default_23: boolean;
        export { _default_23 as default };
    }
    let children: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    let __propsSymbol__: import("vue-types").VueTypeValidableDef<any>;
}
