import type { Plugin } from 'vue';
import Radio from './Radio';
import Group from './Group';
import Button from './RadioButton';
export type { RadioProps } from './Radio';
export type { RadioGroupProps } from './Group';
export type { RadioChangeEventTarget, RadioChangeEvent } from './interface';
export { Button, Group, Button as RadioButton, Group as RadioGroup };
declare const _default: typeof Radio & Plugin & {
    readonly Group: typeof Group;
    readonly Button: typeof Button;
};
export default _default;
