"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useInjectOverflowContext = exports.OverflowContextProvider = void 0;
var _vue = require("vue");
const OverflowContextProviderKey = Symbol('OverflowContextProviderKey');
const OverflowContextProvider = exports.OverflowContextProvider = (0, _vue.defineComponent)({
  compatConfig: {
    MODE: 3
  },
  name: 'OverflowContextProvider',
  inheritAttrs: false,
  props: {
    value: {
      type: Object
    }
  },
  setup(props, _ref) {
    let {
      slots
    } = _ref;
    (0, _vue.provide)(OverflowContextProviderKey, (0, _vue.computed)(() => props.value));
    return () => {
      var _slots$default;
      return (_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots);
    };
  }
});
const useInjectOverflowContext = () => {
  return (0, _vue.inject)(OverflowContextProviderKey, (0, _vue.computed)(() => null));
};
exports.useInjectOverflowContext = useInjectOverflowContext;